# This -*- Apache -*- configuration enables the example Mason components in /var/www/mason_example

<IfModule mod_perl.c>
    PerlModule CGI::Cookie
    <Directory /var/www/mason_example>
        <FilesMatch "\.html$">
            SetHandler perl-script
            PerlResponsehandler HTML::Mason::ApacheHandler
            PerlSetVar MasonArgsMethod CGI
            # CGI was previously required for Mason to work in Apache2
        </FilesMatch>
    </Directory>
</IfModule>

<IfModule !mod_perl.c>
    # No mod_perl available, just use CGI
    # We still need mod_actions, try 'sudo a2enmod actions' if it doesn't work
    <IfModule mod_actions.c>
        Action masonexample-handler /cgi-bin/mason_example.cgi
        <Directory /var/www/mason_example>
            SetHandler masonexample-handler
        </Directory>
    </IfModule>
</IfModule>

# 2004-03-08 araqnid
